# ChangeLog for net-dialup/mgetty
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-dialup/mgetty/ChangeLog,v 1.71 2007/02/10 08:46:06 mrness Exp $

  10 Feb 2007; Alin Năstac <mrness@gentoo.org>
  -files/mgetty-1.1.33-callback.diff, -files/mgetty-1.1.33-gentoo.diff,
  -files/mgetty-1.1.33-strerror.diff, -files/mgetty-1.1.34-callback.patch,
  -files/mgetty-1.1.34-gentoo.patch, -files/mgetty-1.1.34-strerror.patch,
  -mgetty-1.1.33.ebuild, -mgetty-1.1.34.ebuild, -mgetty-1.1.35-r1.ebuild:
  Remove obosolete versions.

*mgetty-1.1.35-r2 (20 Nov 2006)

  20 Nov 2006; Alin Nastac <mrness@gentoo.org>
  +files/mgetty-1.1.35-netpbm-collision.patch, +mgetty-1.1.35-r2.ebuild:
  Fix collision with netpbm (#155670). Install mgetty executable in /sbin
  (#119078). Don't install useless ct program (#106337). Stable on amd64.

  04 Nov 2006; Alexander H. Færøy <eroyf@gentoo.org>
  mgetty-1.1.35-r1.ebuild:
  Stable on alpha

  15 Aug 2006; Alin Nastac <mrness@gentoo.org>
  -files/mgetty-1.1.30-gentoo.diff, -files/mgetty-1.1.31-callback.diff,
  -files/mgetty-1.1.31-gentoo.diff, -files/mgetty-1.1.31-logfile.c.diff,
  -files/mgetty-1.1.31-r1-gentoo.diff, -mgetty-1.1.30-r2.ebuild,
  -mgetty-1.1.30-r3.ebuild, -mgetty-1.1.31-r1.ebuild,
  mgetty-1.1.35-r1.ebuild:
  Remove obsolete versions. Add support for FidoNet at
  Oleg Stopolenko <cronfy@yandex.ru> request (#143503).

  04 Aug 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  mgetty-1.1.35-r1.ebuild:
  Stable on hppa

  13 Jul 2006; Aron Griffis <agriffis@gentoo.org> mgetty-1.1.35-r1.ebuild:
  Mark 1.1.35-r1 stable on ia64

  24 May 2006; Michael Hanselmann <hansmi@gentoo.org>
  mgetty-1.1.35-r1.ebuild:
  Stable on ppc.

*mgetty-1.1.35-r1 (18 May 2006)

  18 May 2006; Alin Nastac <mrness@gentoo.org>
  +files/mgetty-1.1.35-faxrunq.patch, -mgetty-1.1.35.ebuild,
  +mgetty-1.1.35-r1.ebuild:
  Correct quotes in faxrunq script (#133659).

  17 May 2006; Gustavo Zacarias <gustavoz@gentoo.org> mgetty-1.1.35.ebuild:
  Stable on sparc

  14 May 2006; Alin Nastac <mrness@gentoo.org> mgetty-1.1.35.ebuild:
  Stable on x86.

  02 Apr 2006; Alin Nastac <mrness@gentoo.org> mgetty-1.1.35.ebuild:
  Keep log directory (#128437).

  29 Mar 2006; Aron Griffis <agriffis@gentoo.org> mgetty-1.1.34.ebuild:
  Mark 1.1.34 stable on ia64

  22 Mar 2006; Michael Hanselmann <hansmi@gentoo.org> mgetty-1.1.34.ebuild:
  Stable on ppc.

  13 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org> mgetty-1.1.34.ebuild:
  Stable on sparc

*mgetty-1.1.35 (12 Mar 2006)

  12 Mar 2006; Alin Nastac <mrness@gentoo.org>
  +files/mgetty-1.1.35-callback.patch, +files/mgetty-1.1.35-gentoo.patch,
  +files/mgetty-1.1.35-strerror.patch, mgetty-1.1.34.ebuild,
  +mgetty-1.1.35.ebuild:
  Quote various env vars and mark 1.1.34 as stable on x86. Version bump.

  10 Mar 2006; Aron Griffis <agriffis@gentoo.org> mgetty-1.1.33.ebuild:
  Mark 1.1.33 stable on ia64

  07 Feb 2006; Simon Stelling <blubb@gentoo.org> mgetty-1.1.33.ebuild:
  stable on amd64

  06 Feb 2006; Aron Griffis <agriffis@gentoo.org> mgetty-1.1.33.ebuild:
  Mark 1.1.33 stable on alpha

  15 Jan 2006; Michael Hanselmann <hansmi@gentoo.org> mgetty-1.1.33.ebuild:
  Stable on ppc.

  09 Jan 2006; Gustavo Zacarias <gustavoz@gentoo.org> mgetty-1.1.33.ebuild:
  Stable on sparc

*mgetty-1.1.34 (09 Jan 2006)

  09 Jan 2006; Alin Nastac <mrness@gentoo.org>
  +files/mgetty-1.1.34-callback.patch, +files/mgetty-1.1.34-gentoo.patch,
  +files/mgetty-1.1.34-strerror.patch, metadata.xml, mgetty-1.1.33.ebuild,
  +mgetty-1.1.34.ebuild:
  Add description to metadata.xml. Mark 1.1.33 stable on x86. Version bump.

  26 Dec 2005; Alin Nastac <mrness@gentoo.org> -mgetty-1.1.30.ebuild,
  -mgetty-1.1.31.ebuild:
  Remove obsolete versions.

  25 Dec 2005; Diego Pettenò <flameeyes@gentoo.org> mgetty-1.1.33.ebuild:
  Use bindnow-flags function instead of -Wl,-z,now.

  17 Jun 2005; Michael Hanselmann <hansmi@gentoo.org>
  mgetty-1.1.30-r2.ebuild:
  Stable on ppc.

  06 May 2005; Sven Wegener <swegener@gentoo.org> mgetty-1.1.31-r1.ebuild,
  mgetty-1.1.33.ebuild:
  Removed * postfix from <, <=, >= and > dependencies.

*mgetty-1.1.33 (19 Apr 2005)

  19 Apr 2005; Alin Nastac <mrness@gentoo.org>
  +files/mgetty-1.1.33-callback.diff, +files/mgetty-1.1.33-gentoo.diff,
  +files/mgetty-1.1.33-strerror.diff, +mgetty-1.1.33.ebuild:
  Version bump

  07 Apr 2005; Simon Stelling <blubb@gentoo.org> mgetty-1.1.30-r2.ebuild:
  stable on amd64

  01 Apr 2005; Aron Griffis <agriffis@gentoo.org> mgetty-1.1.30-r2.ebuild:
  stable on ia64

  14 Feb 2005; Torsten Veller <tove@gentoo.org>
  files/mgetty-1.1.31-r1-gentoo.diff, mgetty-1.1.31-r1.ebuild:
  Doesn't install /var/spool/voice/.code and /var/spool/voice/messages/Index
  any longer. Added sample scripts to /usr/share/mgetty on request (#80366).

*mgetty-1.1.31-r1 (10 Feb 2005)

  10 Feb 2005; Torsten Veller <tove@gentoo.org> +files/Lucent.c.patch,
  +files/mgetty-1.1.31-callback.diff, +files/mgetty-1.1.31-logfile.c.diff,
  +files/mgetty-1.1.31-r1-gentoo.diff, +mgetty-1.1.31-r1.ebuild:
  - bug #80366 - CallerID detection for Lucent chip modems - thanks Peter Hyman
  - added a patch to remove deprecated warnings (mgetty-*-logfile.diff) -
    taken from debian
  - switched off parallel make - needs to be fixed - 'sedscript' doesn't
    like it
  - patched doc generation - should fix bug #80739
  - voice.conf is installed as 644 instead of 755
  - changed ownership from bin:bin to root:root

*mgetty-1.1.31 (20 Nov 2004)

  20 Nov 2004; Alin Nastac <mrness@gentoo.org>
  +files/mgetty-1.1.31-gentoo.diff, -mgetty-1.1.30-r1.ebuild,
  +mgetty-1.1.31.ebuild:
  Version bump.

*mgetty-1.1.30-r3 (14 Nov 2004)

  14 Nov 2004; Alin Nastac <mrness@gentoo.org> +mgetty-1.1.30-r3.ebuild:
  Eliminate QA notices regarding lazy bindings. See bug #66151

  11 Nov 2004; Bryan Østergaard <kloeri@gentoo.org>
  mgetty-1.1.30-r2.ebuild:
  Stable on alpha.

  02 Nov 2004; Bret Curtis <psi29a@gentoo.org> mgetty-1.1.30-r2.ebuild:
  marked for testing on mips; ~mips

  02 Nov 2004; Gustavo Zacarias <gustavoz@gentoo.org> mgetty-1.1.30-r2.ebuild:
  Stable on sparc

  02 Nov 2004; Daniel Black <dragonheart@gentoo.org> mgetty-1.1.30-r2.ebuild:
  x86 stable

  13 Oct 2004; Guy Martin <gmsoft@gentoo.org> mgetty-1.1.30-r2.ebuild:
  Stable on hppa.

  17 Sep 2004; Heinrich Wendel <lanius@gentoo.org> mgetty-1.1.30-r2.ebuild:
  create /var/log/mgetty; add modem group; bug #64357

*mgetty-1.1.30-r2 (15 Sep 2004)

  15 Sep 2004; Heinrich Wendel <lanius@gentoo.org> +mgetty-1.1.30-r2.ebuild:
  add additionally documentation, bug #46131; fix creation of fax group, bug
  #59461

  03 Aug 2004; Heinrich Wendel <lanius@gentoo.org> mgetty-1.1.28.ebuild,
  mgetty-1.1.30-r1.ebuild, mgetty-1.1.30.ebuild:
  fix new user adding, remove old ebuild

  18 May 2004; Mamoru KOMACHI <usata@gentoo.org> mgetty-1.1.28.ebuild,
  mgetty-1.1.30-r1.ebuild, mgetty-1.1.30.ebuild:
  Changed app-text/tetex to virtual/tetex, see bug #50865

*mgetty-1.1.30-r1 (06 May 2004)

  06 May 2004; Steve Arnold <nerdboy@gentoo.org> mgetty-1.1.30-r1.ebuild:
  added fix for bug 44231 submitted by Frank Cringle <fdc-glb@cliwe.ping.de>

  28 Apr 2004; Scott W Taylor <swtaylor@gentoo.org> mgetty-1.1.30.ebuild:
  drop unneeded $S definition

  28 Apr 2004; Scott W Taylor <swtaylor@gentoo.org> mgetty-1.1.30.ebuild:
  stable promotion

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> mgetty-1.1.28.ebuild:
  Add inherit eutils

  14 Apr 2004; Travis Tilley <lv@gentoo.org> mgetty-1.1.30.ebuild:
  added ~amd64 keyword

  30 Mar 2004; Lars Weiler <pylon@gentoo.org> mgetty-1.1.30.ebuild:
  Masked ~ppc on user report

  18 Feb 2004; Guy Martin <gmsoft@gentoo.org> mgetty-1.1.30.ebuild :
  Marked stable on hppa.

  17 Feb 2004; Aron Griffis <agriffis@gentoo.org> mgetty-1.1.30.ebuild:
  stable on alpha and ia64

  23 Jan 2004; Heinrich Wendel <lanius@gentoo.org> mgetty-1.1.30.ebuild:
  change group phone to fax in voice.conf-dist and add group fax to the system

  14 Jan 2004; Aron Griffis <agriffis@gentoo.org> mgetty-1.1.30.ebuild:
  add ~alpha and ~ia64

  26 Dec 2003; Jason Wever <weeve@gentoo.org> mgetty-1.1.30.ebuild:
  Marked stable on sparc to fix the broken dependencies of hylafax.

  21 Nov 2003; Jason Wever <weeve@gentoo.org> mgetty-1.1.30.ebuild:
  Added ~sparc keyword, resolves bug #33996.

  19 Nov 2003; Heinrich Wendel <lanius@gentoo.org> metadata.xml:
  metadata.xml

  13 Oct 2003; Daniel Ahlberg <aliz@gentoo.org> mgetty-1.1.30.ebuild :
  Install callback programs. Closes #28015.

  06 Sep 2003; Daniel Robbins <drobbins@gentoo.org> mgetty-1.1.30.ebuild,
  mgetty-1.1.28.ebuild: made tetex dependency conditional on "doc" USE
  variable. Too insane to depend on 100MB of sources to generate a postscript
  doc file by default. Closing bug 28014.
  
  29 Apr 2003; Daniel Ahlberg <aliz@gentoo.org> mgetty-1.1.30.ebuild : Added
  fax user to allow installation to finish. Closes #19469.

*mgetty-1.1.30 (28 Apr 2003)

  28 Apr 2003; Daniel Ahlberg <aliz@gentoo.org> mgetty-1.1.30.ebuild :
  Security update.

*mgetty-1.1.28 (10 Jul 2002)

  06 Apr 2003; Seemant Kulleen <seemant@gentoo.org> mgetty-1.1.28.ebuild:
  emake->make failthrough, closing bug #14753 by John Sutherland
  <garion@garion.mnbsyr.com>

  20 Nov 2002; Daniel Ahlberg <aliz@gentoo.org> mgetty-1.1.28.ebuild :
  Closes #10722.

  27 Sep 2002; Daniel Ahlberg <aliz@gentoo.org> mgetty-1.1.28.ebuild :
  Closes #8464.

  10 Jun 2002; Ryan Phillips <rphillips@gentoo.org> mgetty-1.1.28.ebuild :

  New version and adds /var/spool/voice
  Submitted by Rusty Phillips

*mgetty-1.1.26-r4 (1 May 2002)

  1 May 2002; Seemant Kulleen <seemant@gentoo.org> mgetty-1.1.26-r4.ebuild
  files/digest-mgetty-1.1.26-r4 :

  Changed location defined for new_fax from /usr/local/lib/blah to
  /etc/mgetty+sendfax.  This should close out bug #2157 reported by
  keith@kbird.net (Kbird)

*mgetty-1.1.26-r3 (30 Apr 2002)

  30 Apr 2002; Seemant Kulleen <seemant@gentoo.org> mgetty-1.1.26-r3.ebuild :

  man pages moved from /usr/man to /usr/share/man

*mgetty-1.1.26-r2 (23 Apr 2002)

  23 Apr 2002; R.Phillips <rphillips@gentoo.org> mgetty-1.1.26-r3.ebuild :

  Fixes variables passed to the makefile and activates Calling Number
  Display (CND). Fixes (#1988)

*mgetty-1.1.26-r2 (14 Apr 2002)

  14 Apr 2002; M.Schlemmer <azarah@gentoo.org> mgetty-1.1.26-r2.ebuild :

  Fix sandbox errors related to fonts being installed during .ps generation.
  Add support to generate the missing fonts in pkg_postinst().

*mgetty-1.1.26-r1 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
